Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: GnuCash derzeit nur als Version 2.6.4 verfügbar?

  1. #1
    Join Date
    Jan 2009
    Location
    Austria
    Posts
    108

    Question GnuCash derzeit nur als Version 2.6.4 verfügbar?

    Liebe Gemeinschaft,

    ist das Programm GnuCash derzeit nur in der Version 2.6.4 verfügbar oder sollte ich einfach ein anderes Repository verwenden?

    Vielen Dank im Voraus!!

    LG,

    Reinardo

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,145

    Default AW: GnuCash derzeit nur als Version 2.6.4 verfügbar?

    Das liegt doch an Dir, ob du ein anderes Repo nimmst.

    Und ja, unter openSUSE 13.2 liegt gnucash in Version 2.6.4-1.4 im OSS-Repo.

  3. #3
    Join Date
    Jan 2009
    Location
    Austria
    Posts
    108

    Post AW: GnuCash derzeit nur als Version 2.6.4 verfügbar?

    Vielen Dank, Sauerland! :-)

  4. #4
    Join Date
    Jan 2009
    Location
    Austria
    Posts
    108

    Question GnuCash Version 2.6.4 deinstallieren, bevor ich die neuseste Version kompiliere und installiere?

    Liebe Gemeinschaft,

    ich möchte mir GnuCash 2.6.11 aus den Quellen selbst kompilieren; ich nehme an, dass ich zuvor die Version 2.6.4 entfernen muß, nur wie?

    LG,

    Reinardo

  5. #5

    Default Re: GnuCash Version 2.6.4 deinstallieren, bevor ich die neuseste Version kompiliere und installiere?

    Quote Originally Posted by Reinardo View Post
    ich möchte mir GnuCash 2.6.11 aus den Quellen selbst kompilieren;
    Vorzugsweise würde ich das .src.rpm von GNOME:Apps runterladen und mit "rpmbuild --rebuild gnucash-xxx.src.rpm" neu bauen.
    Oder noch besser und einfacher, in OBS "branchen"...
    http://download.opensuse.org/reposit...E_Factory/src/

    Wenn du dann die selbsterstellten RPMs installierst, brauchst du auch die alte Version nicht entfernen, sie wird automatisch ersetzt.


    ich nehme an, dass ich zuvor die Version 2.6.4 entfernen muß, nur wie?
    Entweder in YaST oder mit:
    Code:
    sudo zypper rm gnucash

  6. #6
    Join Date
    Jan 2009
    Location
    Austria
    Posts
    108

    Post AW: GnuCash derzeit nur als Version 2.6.4 verfügbar?

    Hallo, Wolfi323,

    danke für deine Antwort, ich lade mir also das src-Paket herunter und installiere es anschließend?

    LG,

    Reinardo

  7. #7

    Default Re: GnuCash derzeit nur als Version 2.6.4 verfügbar?

    Quote Originally Posted by Reinardo View Post
    danke für deine Antwort, ich lade mir also das src-Paket herunter und installiere es anschließend?
    Nicht ganz.
    Das src-Paket enthält den Source-Code und die "Bauanleitung", das kannst du nicht einfach so installieren.
    Du musst erst daraus die Binärpakete bauen.
    Das machst du mit "rpmbuild --rebuild gnucash-xxx.src.rpm" (den Dateinamen natürlich entsprechend anpassen), wie gesagt.

    Natürlich musst du evtl. benötigte Entwicklungspakete installieren, rpmbuild wird dir sagen wenn was fehlt.
    Wenn alles glatt geht, findest du .rpm Pakete in ~/rpmbuild/RPMS/, die du dann installieren kannst (z.B. mit "rpm -U gnucash-xxx.rpm").

    Ist im Prinzip nicht anders als den Source-Code direkt zu kompilieren, aber etwas einfacher, weil eben alles von den (open)SUSE Paketerstellern bereits vorbereitet wurde.
    Und vor allem sind die Pakete dann auch von der Paketverwaltung erfasst.

    PS, hätte ich fast vergessen zu erwähnen: Das Kommando "rpmbuild" ist im Paket rpm-build enthalten. Musst du evtl. vorher manuell installieren.
    Last edited by wolfi323; 26-Jan-2016 at 09:34.

  8. #8
    Join Date
    Jan 2009
    Location
    Austria
    Posts
    108

    Post AW: GnuCash derzeit nur als Version 2.6.4 verfügbar?

    Zeile 119 von gnucash.spec, er beschwert sich über eine fehlende/falsche Klammernsetzung. Hast du eine Idee?

    %if (0%{?suse_version} == 1315 && %{is_opensuse}) || 0%{suse_version} > 1315

    LG,

    Reinardo

  9. #9

    Default Re: GnuCash derzeit nur als Version 2.6.4 verfügbar?

    Quote Originally Posted by Reinardo View Post
    Zeile 119 von gnucash.spec, er beschwert sich über eine fehlende/falsche Klammernsetzung. Hast du eine Idee?
    Ja.
    %{is_opensuse} ist in 13.2 nicht definiert (wurde eingeführt um Leap von SLE unterscheiden zu können), dadurch wird der Ausdruck ungültig.

    Code:
    %if (0%{?suse_version} == 1315 && %{is_opensuse}) || 0%{suse_version} > 1315
    Ändere das in:
    Code:
    %if (0%{?suse_version} == 1315 && %0{?is_opensuse}) || 0%{?suse_version} > 1315
    GNOME:Apps wird nicht für 13.2 gebaut (nur Tumbleweed und Leap), deswegen ists wohl niemanden aufgefallen bzw. interessierts niemanden...

    PS: Inzwischen gibts das Paket auch hier (zusätzlich für 13.1 und 13.2):
    http://software.opensuse.org/downloa...ackage=gnucash

  10. #10
    Join Date
    Jan 2009
    Location
    Austria
    Posts
    108

    Question AW: GnuCash derzeit nur als Version 2.6.4 verfügbar?

    Lieber wolfi323,

    vielen Dank für deine Hilfe gestern, welche Programmiersprache wird denn verwendet? C/C++? Ich habe deinen Rat befolgt und gleich das fertige Paket installiert, danke!

    LG,

    Reinhard

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •